KDE 4.9 PyKDE API Reference

- KDE's Python API

# AgentTypeModel Class Reference

`from PyKDE4.akonadi import *`

Inherits: QAbstractItemModel → QObject
Namespace: Akonadi

## Detailed Description

Provides a data model for agent types.

This class provides the interface of a QAbstractItemModel to access all available agent types: their name, identifier, supported mimetypes and capabilities.

     Akonadi.AgentTypeModel *model = new Akonadi.AgentTypeModel( this );

     QListView *view = new QListView( this );
     view->setModel( model );

To show only agent types that match a given mime type or special capabilities, use the AgentFilterProxyModel on top of this model.

Author:
  Tobias Koenig <tokoe@kde.org>

## Enumerations

Roles | { TypeRole, IdentifierRole, DescriptionRole, MimeTypesRole, CapabilitiesRole, UserRole }

## Methods

| __init__ (self, QObject parent=0)
int | columnCount (self, QModelIndex parent=QModelIndex())
QVariant | data (self, QModelIndex index, int role=Qt.DisplayRole)
Qt::ItemFlags | flags (self, QModelIndex index)
QModelIndex | index (self, int row, int column, QModelIndex parent=QModelIndex())
QModelIndex | parent (self, QModelIndex index)
int | rowCount (self, QModelIndex parent=QModelIndex())

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new agent type model.

int columnCount | ( | self, |
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

QVariant data | ( | self, |
|  | QModelIndex | index,
|  | int | role=Qt.DisplayRole
| ) |  |  |

Qt::ItemFlags flags | ( | self, |
|  | QModelIndex | index
| ) |  |  |

QModelIndex index | ( | self, |
|  | int | row,
|  | int | column,
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

QModelIndex parent | ( | self, |
|  | QModelIndex | index
| ) |  |  |

int rowCount | ( | self, |
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

## Enumeration Documentation

Roles

Describes the roles of this model.

Enumerator:

  IdRole = Qt::UserRole+1 |
  ItemRole |
  MimeTypeRole |
  UserRole = Qt::UserRole+42 |